Subject: bug#70411: [bug] install(1) fails to read /dev/stdin on Darwin

From: Alejandro Colomar <[email-masked]>
Date: Tue, 16 Apr 2024 22:02:15 +0200

Hi,

On Tue, Apr 16, 2024 at 08:44:06PM +0100, Pádraig Brady wrote:
> I agree if it's older Darwin only, we can ignore.
> The version I tested on is 3 years old now though,
> so I'm not sure whether the issue is on newer or older.
> 
> Note we had similar issue on Solaris,
> where we used an fstat() wrapper to adjust things:
> https://bugs.gnu.org/35713
> 
> A related suggestion was from Marc Chantreux (CC'd)
> to support '-' to imply stdin, which would be more portable.
> There is some merit to that suggestion too.

I think /dev/stdin is a good name for stdin.  It should work everywhere,
and if not the system is broken, in which case, I'd rather fix the
system than adding a slightly different special case for - in every
program.  Of course there are systems one can't fix, like Solaris...

Commands that special-case - I always need to remember, and check the
docs.  But it's a personal opinion, and I don't feel too strongly about
it.

Have a lovely night!
Alex

-- 
<https://www.alejandro-colomar.es/>